Skip to main content
GET
Get bare metal server price

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234_abcdef

Path Parameters

project_id
integer
required

Project ID.

Example:

1

server_id
string<uuid4>
required

Bare metal server ID.

Example:

"6c6aa80f-4234-4678-9abc-def012345678"

Response

Bare metal server price

boot_volume
VolumePriceLineSerializer · object | null
required

Price of the boot volume. Null when the body has no boot volume.

currency
string
required

Currency code.

Example:

"USD"

data_volumes
VolumePriceLineSerializer · object[]
required

Prices of the data volumes, in the order of the request.

egress_traffic
EgressTrafficPriceSerializer · object | null
required

Rate of the outgoing traffic. It is not part of the totals. Null when the traffic of the server has no tariff.

external_ips
CountedPriceLineSerializer · object
required

Price of the IPv4 addresses that ports have on the public network.

flavor
FlavorPriceLineSerializer · object
required

Price of the flavor.

floating_ips
CountedPriceLineSerializer · object
required

Price of the floating IPs. A floating IP is a separate address that maps to a port.

hourly
number
required

Sum of the hourly prices of all sections.

Example:

0.0621

monthly
number
required

Sum of the monthly prices of all sections.

Example:

44.71

monthly_before_discount
number
required

Sum of the monthly prices before the discount.

Example:

48

tax_percent
number
required

Tax in percent. The prices include it.

Example:

20